=== modified file 'README'
--- README	2010-12-09 19:57:20 +0000
+++ README	2010-12-09 20:00:20 +0000
@@ -6,7 +6,7 @@
 When requesting a set of credentials for a given application, if those
 credentials are not yet present on the user's keyring, the user is presented
 with a GUI to either register a new account, or log in using an existing
-account by means of the Ubuntu SSO webservice.
+account by means of the Ubuntu SSO web service.
 
 Since version 1.1.5, this service does not depend on the gnome-keyring
 service, but on any keyring service that implements the freedesktop secrets
@@ -27,7 +27,7 @@
 required to handle results specially, where necessary.
 
 They all return information to the caller through signals, since all the
-operations (either against the keyring, or against the SSO webservice) are
+operations (either against the keyring, or against the SSO web service) are
 blocking, and so the Ubuntu SSO API is entirely asynchronous.
 
 NOTE: formerly, the {{{ApplicationCredentials}}} interface was implemented
@@ -89,7 +89,7 @@
  * 'app_name': will be displayed in the GUI header (so it should be human
  readable), plus it will be used to find/build/clear tokens. Special attention
  must be paid to this value since if it collides with some other app name,
- return signals may be missleading because the identifier is the application
+ return signals may be misleading because the identifier is the application
  name.
 
 The second parameter 'ui_settings' can contain any of the following (none is
@@ -131,7 +131,7 @@
 
 So, it will try to fetch the credentials from the user's keyring for
 "app_name", and will emit the {{{CredentialsFound}}} signal if found. If
-exisitng credentials are not found, it will open a graphical dialog to let the
+existing credentials are not found, it will open a graphical dialog to let the
 user log in into an existing SSO account. Once the user is successfully logged
 in, the newly acquired credentials for "app_name" will be stored in the keyring
 and will be returned to the caller through the {{{CredentialsFound}}} signal.
@@ -173,7 +173,7 @@
 ==== AuthorizationDenied(String app_name) ====
 
 Emitted when the user was presented with a graphical interface and s/he
-cancelled the request for login and/or register by clicking on a 'Cancel'
+canceled the request for login and/or register by clicking on a 'Cancel'
 button before the process was completed.
 
  * "app_name" is the application name as passed to the called method.
@@ -199,7 +199,7 @@
 
 Emitted when the credentials for "app_name" were successfully removed from the
 user's keyring. Note that if an application requested the removal of
-non-existent credentials, this signals will be emitted if no error ocurred.
+non-existent credentials, this signals will be emitted if no error occurred.
 
  * "app_name" is the application name as passed to the called method.
 

